import { View, Text } from "@tarojs/components";
import Floor from "./Floor";
import './unit.scss'

export default function Unit(props) {
  const { blockName, unitName, floorList = [] } = props.dataset || {}

  return (
    <View className="unit">
      <View className="head">
        <Text className="item">{blockName}</Text>
        <Text className="item">{unitName}</Text>
      </View>
      <View className="body">
        {floorList.map((floor) => {
          return <Floor key={floor.floorId} dataset={floor} />
        })}
      </View>
    </View>
  )
}