import Taro, { Component } from '@tarojs/taro'
import { View, ScrollView } from '@tarojs/components'
import HouseCard from '../../components/HouseCard'

import './index.scss'

export default class Records extends Component {
  config = {
    navigationBarTitleText: '选房记录'
  }

  state = {
    testData: [
      {
        preselectionRecordId: 1,
        buildingName: '艾菲国际二期',
        blockName: '6栋',
        unitName: '一单元',
        roomName: '1502',
        aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
        price: '234万',
        createDate: '2020-02-8',
        status: 1
      },
      {
        preselectionRecordId: 2,
        buildingName: '艾菲国际二期',
        blockName: '6栋',
        unitName: '一单元',
        roomName: '1502',
        aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
        price: '234万',
        createDate: '2020-02-9',
        status: 0
      },
      {
        preselectionRecordId: 3,
        buildingName: '艾菲国际二期',
        blockName: '6栋',
        unitName: '二单元',
        roomName: '1503',
        aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
        price: '234万',
        createDate: '2020-02-10',
        status: 1
      },
      {
        preselectionRecordId: 4,
        buildingName: '艾菲国际二期',
        blockName: '6栋',
        unitName: '二单元',
        roomName: '1504',
        aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
        price: '234万',
        createDate: '2020-02-11',
        status: 0
      },
    ]
  }

  render() {
    const { testData } = this.state

    return (
      <View className="records">
        <ScrollView scrollY>
          {
            testData.map((item) => {
              return (
                <View className="carditem" key={item.preselectionRecordId}>
                  <HouseCard summary={item}/>
                </View>
              )
            })
          }
        </ScrollView>
      </View>
    )
  }
}
