import Taro, { Component } from '@tarojs/taro';
import './index.scss'
import HouseCard from '../../components/HouseCard'
import Blank from '../../components/Blank'
import { AtTabs, AtTabsPane } from 'taro-ui'
import "taro-ui/dist/style/components/tabs.scss"
import { connect } from '@tarojs/redux'


@connect(({ user, city }) => ({ user, city }))
export default class selectionRecord extends Component {

  config = {
    navigationBarTitleText: '选房记录'
  }

  state = {
    current: 0,
    recordId: undefined, // 埋点ID
    testData: [
      {
        preselectionRecordId: 1,
        buildingName: '艾菲国际二期',
        blockName: '6栋',
        unitName: '一单元',
        roomName: '1502',
        aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
        price: '234万',
        createDate: '2020-02-8',
        status: 1
      },
      {
        preselectionRecordId: 2,
        buildingName: '艾菲国际二期',
        blockName: '6栋',
        unitName: '一单元',
        roomName: '1502',
        aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
        price: '234万',
        createDate: '2020-02-9',
        status: 0
      },
      {
        preselectionRecordId: 3,
        buildingName: '艾菲国际二期',
        blockName: '6栋',
        unitName: '二单元',
        roomName: '1503',
        aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
        price: '234万',
        createDate: '2020-02-10',
        status: 1
      },
      {
        preselectionRecordId: 4,
        buildingName: '艾菲国际二期',
        blockName: '6栋',
        unitName: '二单元',
        roomName: '1504',
        aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
        price: '234万',
        createDate: '2020-02-11',
        status: 0
      },
    ]
  }

  componentWillMount() {

  }


  handleClick(value) {
    this.setState({
      current: value
    })
  }


  render() {
    const { testData } = this.state
    return (
      <View style="height:100vh">
        <AtTabs className="selectionRecord" scroll current={this.state.current} tabList={[{ title: '预选记录' }, { title: '认筹记录' }]} onClick={this.handleClick.bind(this)}>
          <AtTabsPane current={this.state.current} index={0} >
            {
              testData.map((item) => {
                return (
                  <View className="carditem" key={item.preselectionRecordId}>
                    <HouseCard summary={item} />
                  </View>
                )
              })
            }
          </AtTabsPane>
          <AtTabsPane current={this.state.current} index={1}>
            <View>
              <Blank />
            </View>
          </AtTabsPane>
        </AtTabs>
      </View>
    )
  }
}